import { FC, MutableRefObject } from 'react';
import { MonacoLanguageClient } from 'monaco-languageclient';
import { OpenEditorHandler } from '../../services/editor-service-override';

export type LSPContextType = {
    inited: boolean;
    clientRef: MutableRefObject<MonacoLanguageClient | undefined>;
    lastError: Event | null;
    reload: () => void;
};
export declare const LSPProvider: FC<{
    language?: string;
    url: string;
    qodly: boolean;
    defaultZoom?: number;
    defaultInited?: boolean;
    openHandler?: OpenEditorHandler;
}>;
export declare function useLSP(): LSPContextType;
